phpmyadmin出现“ 配置文件现在需要一个短语密码。”解决办法

出现:配置文件现在需要一个短语密码一般是默认的phpmyadmin配置文件少了参数!默认的源码安装的配置文件参数是空的,因此造成了以上的问题:如下:

$cfg['blowfish_secret'] = '';

配置文件现在需要一个短语密码

一、解决“配置文件现在需要一个短语密码”操作步骤:

 

1:找到文件:/phpmyadmin/libraries/config.default.php

 

2:修改config.default.php中的

$cfg['blowfish_secret'] = '';

修改为

$cfg['blowfish_secret'] = 'huichengff';

提醒:可以设置成你任何想要设置的密码,仅支持纯字母和纯数字,混合输入登陆会报错!

 

$cfg['blowfish_secret']

3:保存config.default.php文件;重新登陆phpmyadmin即正常!

 

二、“配置文件中的密文(blowfish_secret)太短”解决方案:

有时候我们虽然说:修改了配置文件的短语密码,但是还会提示说“配置文件中的密文(blowfish_secret)太短”,原因是因为Phpmyadmin要求短语密码是32位,因此你只需要设置你的短语密码为32位即可!如果少于32位则还会一直提示!配置文件中的密文(blowfish_secret)太短

 

三、修改“配置文件现短语密码”后登陆phpmyadmin报错解决方案:

上面刚刚讲过了,出现这个问题主要是短语密码格式的问题,短语密码建议大家用纯字母或者纯数字至少32位即可!切不可混合输入!否则你登陆后则会报错:如下图:

phpmyadmin登陆报错

最后博主再提示一下:修改配置文件短语密码还有一种方法,phpmyadmin安装后,

它目录下会有一个:config.sample.inc.php;

1:先将config.sample.inc.php复制一份为config.inc.php或者直接重名为config.inc.php;

2:修改配置文件选项:$cfg['blowfish_secret'] = '';

config.inc.php

 

注意事项 :

1:短密码长度32位;

2:短密码只能用纯数字或者纯字母;

    A+
发布日期:2017年01月08日 16:02:13  所属分类:Mysql
最后更新时间:2017-01-08 16:15:57
评分: (当前没有评级)
标签:
付杰
wordpress站群服务 泛解析二级域名 二级目录站群
wordpress站群服务 泛解析二级域名 二级目录站群
  • ¥ 1999.9元
  • 市场价:4800元
服务器管理面板/主机控制面板“安装”服务
服务器管理面板/主机控制面板“安装”服务
  • ¥ 9.9元
  • 市场价:49.9元
wp discux 帝国 dedecms phpcms等快速建站
wp discux 帝国 dedecms phpcms等快速建站
  • ¥ 99.9元
  • 市场价:499.9元
SEO顾问服务 中小型网站 单站/最低99.9元 全方位优化
SEO顾问服务 中小型网站 单站/最低99.9元 全方位优化
  • ¥ 99.9元
  • 市场价:5000元

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: